Start Job
curl --request POST \
--url https://api.vachana.ai/stt/v3/batch/jobs/{job_id}/start \
--header 'X-API-Key-ID: <api-key>'import requests
url = "https://api.vachana.ai/stt/v3/batch/jobs/{job_id}/start"
headers = {"X-API-Key-ID": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key-ID': '<api-key>'}};
fetch('https://api.vachana.ai/stt/v3/batch/jobs/{job_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"job_id": "019fa79e-81f9-7a8a-a446-6eff16ddec30",
"status": "STARTING",
"message": "Job start accepted. File validation and queueing are running in the background. Poll GET /stt/v3/batch/jobs/{job_id} to track progress."
}Start Job
Start processing a batch transcription job.
POST
/
stt
/
v3
/
batch
/
jobs
/
{job_id}
/
start
Start Job
curl --request POST \
--url https://api.vachana.ai/stt/v3/batch/jobs/{job_id}/start \
--header 'X-API-Key-ID: <api-key>'import requests
url = "https://api.vachana.ai/stt/v3/batch/jobs/{job_id}/start"
headers = {"X-API-Key-ID": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key-ID': '<api-key>'}};
fetch('https://api.vachana.ai/stt/v3/batch/jobs/{job_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"job_id": "019fa79e-81f9-7a8a-a446-6eff16ddec30",
"status": "STARTING",
"message": "Job start accepted. File validation and queueing are running in the background. Poll GET /stt/v3/batch/jobs/{job_id} to track progress."
}Overview
Start transcription for a job inCREATED status. Returns 202 Accepted while validation and queueing run in the background.
Creating a job does not start processing — you must call this endpoint.
Authentication
| Header | Required | Description |
|---|---|---|
X-API-Key-ID | Yes | Your Gnani Prisma v2.5 API key |
Path Parameters
string
required
Job ID returned by Create Job.
Example cURL
curl -X POST "https://api.vachana.ai/stt/v3/batch/jobs/019fa259-b084-71eb-94d7-ba4cdf2e64c6/start" \
-H "X-API-Key-ID: <YOUR_API_KEY>"
Response
Success (202)
{
"job_id": "019fa259-b084-71eb-94d7-ba4cdf2e64c6",
"status": "STARTING",
"message": "Job start accepted. File validation and queueing are running in the background. Poll GET /stt/v3/batch/jobs/{job_id} to track progress."
}
Error responses
409 Already started{
"error": "JOB_ALREADY_STARTED",
"message": "Job cannot be restarted from state 'COMPLETED'"
}
Use Cases
- Kicking off transcription after files are uploaded
- Starting a public-URL job after create (URL validation happens at start)
Was this page helpful?